.popover.warning {
  border-color:#faebcc;
}
.popover.warning>.arrow {
  border-top-color:#faebcc;
}
.popover.warning>.popover-title {
  color:#8a6d3b;
  background-color:#fcf8e3;
  border-color:#faebcc;
}

.popover.good {
  border-color:#faebcc;
}
.popover.good>.arrow {
  border-top-color:#faebcc;
}
.popover.good>.popover-title {
  color:#8a6d3b;
  background-color:#F6FCC2;
  border-color:#faebcc;
}

.popover.danger {
  border-color:#ebccd1;
}
.popover.danger>.arrow {
  border-top-color:#ebccd1;
}
.popover.danger>.popover-title {
  color:#a94442;
  background-color:#f2dede;
  border-color:#ebccd1;
}

.popover.success{
    border-color:#33E46D;
}
.popover.success>.arrow {
    border-top-color:#d6e9c6;
}
.popover.success>.popover-title {
    color:#3c763d;
    background-color:#33e46d;
    border-color:#d6e9c6;
}

.cbg-green {
  background-color: #b5e3b8;
}

.cbg-darkgreen {
  background-color: #79cd7f;
}

.cbg-darkblue {
  background-color: #25b5d3;
}

.cbg-blue {
  background-color: #96dfee;
}

.cbg-til {
  --bs-bg-opacity: 1;
  background-color: #1790D0;
}

.ctext-til {
  --bs-text-opacity: 1;
  color: #1790D0;
}

.customTooltipInfoBadge {
  left: 100% !important;
  color:mediumslateblue;
}

.customTooltip {
  width: min-content;
  color:mediumslateblue;
}

.customTooltip:hover {
  color: darkblue;
}

.customTooltip:hover>.customTooltipInfoBadge {
  color: darkblue;
}

.tooltip-inner {
  white-space:pre;
  max-width:none;
}

.tooltip {
  pointer-events: none;
}

.cbg-darkgrey {
  background-color: #2F4858;
}

.textoverflow {
  text-overflow: ellipsis;
  overflow: hidden;
}

.cdropdown-item {
  display: block;
  width: 100%;
  padding: 0.5rem 1rem;
  clear: both;
  font-weight: 400;
  --bs-text-opacity: 1;
  color: rgba(var(--bs-light-rgb), var(--bs-text-opacity)) !important;
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
}

.cdropdown-item:hover {
  color: #1e2125 !important;
  background-color: #e9ecef;
}
